       #include<reg51.h>
	   sbit P1_0=P1^0;				//位定义
	   void delay(void);		   //延时函数声明
	   int t0_count=0;			   //定时器0溢出次数初值设置为0
	   void main()
	   {
	      TMOD=0x01;			  //定时器工作方式1
		  EA=1;					  //中断总开关开
		  ET0=1;				  //定时器中断开关开
		  TH0=0x3C;				  //定时器初值设置
		  TL0=0x0B0;
		  TR0=1;				  //定时器T0启动
		  P1_0=0;
		  while(1);
		}
		/*  定时器0中断服务程序  */
		void timer0(void)  interrupt 1			 //定时器中断子程序
		{
		   TH0=0x3C;
		   TL0=0x0B0;
		   t0_count++;
		   if(t0_count==10)
		   {
		       t0_count=0;
			   P1_0=~P1_0;
            }
		}